# Complete Order Cart

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/dids/cart/complete>
{% endhint %}

This will close out your cart and return success/fails.

The call flow and fax flow options are not required, if you omit it, the system will use your default call flow.

| Argument       | Required | Type     |
| -------------- | -------- | -------- |
| call\_flow\_id | no       | int      |
| fax\_flow\_id  | no       | int      |
| key            | yes      | api\_key |

{% tabs %}
{% tab title="Curl Post" %}

```php
curl -X POST https://v1.api19.com/dids/cart/complete \
 -d 'call_flow_id=call_flow_id' \
 -d 'key=api_key'
```

{% endtab %}

{% tab title="Curl Get" %}

```
curl https://v1.api19.com/dids/cart/complete&callflow=callflowid&key=apitoken
```

{% endtab %}

{% tab title="JSON Response" %}

```php
{
    "status": "ok",
    "data": {
        "success": [
            7208017777
        ],
        "errors": [
            7209998888
        ],
        "verbose_errors": [
            "7209998888 - failed p data check"
        ]
    }
} 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/shopping-cart-ordering/complete-order-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
